package AdThreeAnalysis;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class AdReport extends JceStruct {
    public String reportKey;
    public String reportParam;
    public String url;

    public AdReport() {
        super();
        this.reportKey = "";
        this.reportParam = "";
        this.url = "";
    }

    public AdReport(String arg2, String arg3, String arg4) {
        super();
        this.reportKey = "";
        this.reportParam = "";
        this.url = "";
        this.reportKey = arg2;
        this.reportParam = arg3;
        this.url = arg4;
    }

    public final void readFrom(c arg3) {
        this.reportKey = arg3.b(0, false);
        this.reportParam = arg3.b(1, false);
        this.url = arg3.b(2, false);
    }

    public final void writeTo(d arg3) {
        if(this.reportKey != null) {
            arg3.a(this.reportKey, 0);
        }

        if(this.reportParam != null) {
            arg3.a(this.reportParam, 1);
        }

        if(this.url != null) {
            arg3.a(this.url, 2);
        }
    }

}

